/* 
   
 */
import java.util.Random;
public class DirectHit {
	private int[] digits;
	
	public DirectHit()
	{
		Random rnd = new Random();
		int theNum = rnd.nextInt(9000)+1000;
		digits = setNumInArr(theNum);
	}
	private int[] setNumInArr(int num)
	{
		int[] arr = new int[4];
		for (int i=0; i<arr.length; i++)
		{
			arr[i]=num%10;
			num/=10;
		}
		return arr;
	}
	public String takeGuess(int guess)
	{
		if (guess<1000 || guess>9999)
			return "Illegal number";
	
		int direct=0, hit=0;
		int[] guessArr = setNumInArr(guess);
		for (int i=0; i<digits.length; i++)	
			if (digits[i]==guessArr[i])
				direct++;
		if (direct==digits.length)
			return "finished";
		String ret = "Number of directs: " + direct;
		for (int i=0; i<digits.length; i++)
			for (int j=i; j<digits.length; j++)
				if (i!=j && digits[i]==guessArr[j])
					hit++;
		ret += "\nNumber of hits: " + hit;
		return ret;
	}
}
