/*
  
 */
class Jumper
{ 
	private String name;	
	private double[] jumpHeights;
	private final int NUM_OF_JUMPS = 5;

	public Jumper (String name)
	{
		this.name = name;
		jumpHeights = new double[NUM_OF_JUMPS];
		for (int i=0; i<jumpHeights.length; i++)
			jumpHeights[i]=0;
	}
	public String getName()
	{
		return this.name;
	}
	public int getNumOfJumps()
	{
		return this.NUM_OF_JUMPS;
	}
	public double getJumpBestHeight ()
	{
		double bestJump=jumpHeights[0];
		for (int i=1; i<jumpHeights.length; i++)
			if (jumpHeights[i] > bestJump)
				bestJump = jumpHeights[i];
		return bestJump;
	}
	public void addJumpHeight(double jumpHeight)
	{
		for (int i=0; i<jumpHeights.length; i++)
			if (jumpHeights[i] == 0)
			{
				jumpHeights[i] = jumpHeight;
				return;
			}
	}
}

