import java.util.Random;

/*   */
public class Player {
	private int blueCards;
	private int redCards;
	private int greenCards;
	
	public Player()
	{
		Random r = new Random();
		blueCards = r.nextInt(11);
		redCards = r.nextInt(11-blueCards);
		greenCards = 10 - (blueCards + redCards);
	}	
	
	public void addCard(int color)
	{
		if (color == 1)
			blueCards++;
		else if (color == 2)
			redCards++;
		else  //(color == 3)
			greenCards++;
	}
	
	public int removeCard()
	{
		if (blueCards<=redCards && blueCards<=greenCards){
			blueCards--;
			return 1;
		}
		else if (redCards<=blueCards && redCards<=greenCards){
			redCards--;
			return 2;
		}
		greenCards--;
		return 3;
	}
	
	public int getNumOfBlueCards(){
		return blueCards;
	}
	public int getNumOfRedCards(){
		return redCards;
	}
	public int getNumOfGreenCards(){
		return greenCards;
	}
	public boolean has10SameColor(){
		return blueCards==10 || redCards==10 || greenCards==10;
	}
}

