public class Cinema
{
	private String name;   //   
	private String movie;  //   
	private boolean[][] freeSeats;   //    
	private final int ROWS = 10;  
	private final int COLS = 20;
//	   
	public Cinema (String aName, String aMovie)
	{
		name = aName;
		movie = aMovie; 
		freeSeats = new boolean[ROWS][COLS];
//		     
		for (int i = 0; i < ROWS; i++)
			for (int j = 0; j < COLS; j++)
				freeSeats[i][j] = false;
	} 
	// :       
	public String getMovie ()
	{
		return movie;
	}
//	 :      
	public String getName()
	{
		return name;
	}
//	 :      
	public void setMovie(String aMovie)
	{
		movie = aMovie;
	}
//	         
	public boolean isShowing(String aMovie)
	{
		return (aMovie == movie);
	}
//	        
	public String getAvailableSeats()
	{
		String availableSeats = new String("");
		for (int i = 0; i < freeSeats.length; i++)
			for (int j = 0; j < freeSeats[i].length; j++)
				if (freeSeats[i][j])    // freeSeats[i][j]==true: 
					availableSeats = availableSeats + i + " " + j + "\n";
		return availableSeats;
	}
//	         
//	 ""    ""  
	public boolean setSeatAsTaken(int rowSeat, int colSeat)
	{
		if (freeSeats[rowSeat][colSeat])
		{
			freeSeats[rowSeat][colSeat] = false;
			return true;
		}
		else
			return false;
	}
} // class Cinema
