public class Quest4
{
    private boolean[][] plane;
    
    public Quest4(int rows, int cols)
    {
        plane = new boolean[rows][cols];
        for(int i = 0; i < rows; i++)
            for(int j = 0; j < cols; j++)
                plane[i][j] = false;    
    }
    
    public boolean request(int row, char sit)
    {
        if(plane[row-1][sit-'a']==false)
        {
            plane[row-1][sit-'a'] = true;
            return true;
        }
        return false;
    }
    
    public void print()
    {
        for(int i = 0; i < plane.length; i++)
        {
            for(int j = 0; j < plane[i].length; j++)
            {
            	if (plane[i][j])
            		System.out.print('N' + " ");
            	else
            		System.out.print('A' + " ");
            }
            System.out.println();
        }
    }
}
