/*     */
public class FlowersField 
{
	int[][] field;
	public FlowersField(int[][] field)
	{
		this.field = field;
	}
	public boolean isFlower(int i, int j)
	{
		if (i<=0 || j<=0)
			return false;
		if (i>=field.length-1 || j>=field[i].length-1)
			return false;
		int sum;
		sum = field[i-1][j-1]+field[i+1][j-1]+field[i-1][j+1]+field[i+1][j+1];
		return (field[i][j] == sum);
	}
	public boolean isFlowery()
	{
		int count=0;
		for (int i=1; i<field.length-1; i++)
			for (int j=1; j<field[i].length-1; j++)
				if (isFlower(i,j))
					count++;
		return count>=5;
	}
}
