public class MatchNumbers 
{
	int[] arr1;
	int[] arr2;
	public MatchNumbers(int[] a1, int[] a2)
	{
		arr1 = a1;
		arr2 = a2;
	}
	public int[] getMatchNumbers()
	{
		int[] res = new int[Math.min(arr1.length, arr2.length)];
		int ires=0;
		for (int i1 = 0; i1 < arr1.length; i1++)
		{
			boolean found = false;
			for (int i2 = 0; i2 < arr2.length && !found; i2++)
				if (arr1[i1]==arr2[i2])
					found = true;
			if (found)
			{			
				res[ires]=arr1[i1];
				ires++;
			}
		}
		//create the result array in the exact size
		int[] ret = new int[ires];
		for (int i=0; i<ret.length; i++)
			ret[i]=res[i];
		return ret;
	}
	public int[] getMatchSortedNumbers()
	{
		int[] res = new int[Math.min(arr1.length, arr2.length)];
		int ires=0, i1=0, i2=0;
		while (i1<arr1.length && i2<arr2.length)
		{
			if (arr1[i1]==arr2[i2])
			{
				res[ires]=arr1[i1];
				ires++;
				i1++;
				i2++;
			}
			else if (arr1[i1]<arr2[i2])
				i1++;
			else //arr1[i1]>arr2[i2]
				i2++;
		}
		//create the result array in the exact size
		int[] ret = new int[ires];
		for (int i=0; i<ret.length; i++)
			ret[i]=res[i];
		return ret;
	}
	public static void main(String[] args) 
	{
		int[] arr1={1,4,6,7,8,9};
		int[] arr2={4,5,6,7,9,11,12,145};
		MatchNumbers m = new MatchNumbers(arr1,arr2); 
		int[] ret=m.getMatchNumbers();
		for (int i=0; i<ret.length; i++)
			System.out.println(ret[i]);
	}

}
