/* 
  
 */
class RabbitOlympics
{
	private String name; 		
	private double[] times; 	
	public RabbitOlympics(String name, double[] times) 
	{
		this.name = name;
		this.times = new double[times.length];
		for (int i=0; i<times.length; i++)
			this.times[i] = times[i];
	}
	//      
	public double getBestResult()
	{
		double min=this.times[0];
		for (int i=1; i<times.length; i++)
			if (this.times[i] < min)
				min = this.times[i];
		return min;
	} 
	//        
	public double getAverageResult()
	{
		double sum = 0;
		int i;
		for (i = 0; i < this.times.length; i++)
			sum += this.times[i];
		return (sum/i);
	}    
	public String getName()
	{
		return name;
	}
} // class RabbitOlympics

