import java.util.Random;
/*     */
public class TicketFactory
{
//	 
	private final int TOTAL_PRIZE = 1000000;
	private int ticketCounter;
	private int winTicketCounter;
//	 
	public TicketFactory(int totalNumOfTickets)
	{
		ticketCounter = totalNumOfTickets;
		winTicketCounter = 0; //   
	}
//	    
	public int getNextLuckyNum()
	{
		if (ticketCounter <= 0)
			return 0;
		ticketCounter--;
		Random rnd = new Random();
//		    8 
		int num = rnd.nextInt(90000000)+10000000;
		if (isWinnerNum(num))
			winTicketCounter++;
		return num;
	}
//	       
	public double getWinningPrize()
	{ 
		if (winTicketCounter == 0)
			return 0;
		else
			return (double)TOTAL_PRIZE/winTicketCounter;
	}
//	       
	private boolean isWinnerNum(int num)
	{
		return (getDigitsSum(num/10000) == 
			getDigitsSum(num%10000));
	}
//	      
	private int getDigitsSum(int num)
	{
		int sum = 0;
		while (num>0)
		{
			sum += num%10;
			num /= 10;
		}
		return sum;
	}
}
