
public class Quest7
{
    private int[][]mat;
    
    public Quest7(int size)
    {
        mat = new int[size][size];
        for(int i = 0; i < mat.length; i++)
            for(int j = 0; j < mat.length; j++)
                mat[i][j] = i*j;
    }
    
    public int sumRow(int row)
    {
        int sum = 0;
        for(int i = 0; i < mat.length; i++)
            sum+= mat[row][i];
        return sum;
    }
    
    public int sumCol(int col)
    {
        int sum = 0;
        for(int i = 0; i < mat.length; i++)
            sum+= mat[i][col];
        return sum;
    }
    
    public boolean isEqualsRow()
    {
        int firstRow = sumRow(0);
        for(int i = 1; i < mat.length; i++)
        {
            if(sumRow(i) != firstRow)
                return false;
        }
        return true;
    }
    
    public boolean isEqualsCol()
    {
        int firstCol = sumCol(0);
        for(int i = 1; i < mat.length; i++)
        {
            if(sumCol(i) != firstCol)
                return false;
        }
        return true;
    }
    
    public int sumMainDiagonal()
    {
        int sum = 0;
        for(int i = 1; i < mat.length; i++)
        {
            sum+= mat[i][i];
        }
        return sum;
    }
    
    public int sumSecondDiagonal()
    {
        int sum = 0;
        for(int i = 1; i < mat.length; i++)
        {
            sum+= mat[i][mat.length-i-1];
        }
        return sum;
    }
    
    public boolean magicSquare()
    {
        int firstRow = sumRow(0);
        return(isEqualsCol() && isEqualsRow() && sumMainDiagonal() == firstRow && sumSecondDiagonal()== firstRow);
        
    }
}
