
public class DigitsSum 
{
	int[] nums;
	public DigitsSum(int[] arr)
	{
		nums=arr;
	}
	public int[] getDigitsSum()
	{
		int[] arr = new int[nums.length];
		for (int i=0; i<arr.length; i++)
			arr[i] = getDigitsSum(nums[i]);
		return arr;
	}
	public int[] getDigitsSumSum()
	{
		int[] arr = new int[nums.length];
		for (int i=0; i<arr.length; i++)
		{
			int sum = getDigitsSum(nums[i]);
			while (sum >= 10)
				sum = getDigitsSum(sum);
			arr[i] = sum;
		}
		return arr;
	}
	private int getDigitsSum(int num)
	{
		int sum=0;
		while (num>0)
		{
			sum += num % 10;
			num /= 10;
		}
		return sum;
	}
	public static void main(String[] args) 
	{
		int[] arr ={123,45,532,12,75};
		DigitsSum d = new DigitsSum(arr);
		int[] arr2 = d.getDigitsSum();
		int[] arr3 = d.getDigitsSumSum();
		for (int i=0; i<arr.length; i++)
			System.out.print(" " + arr2[i]);
		System.out.println();
		for (int i=0; i<arr.length; i++)
			System.out.print(" " + arr3[i]);
	}
}
