
public class MagicSquare {

	int[][] _square;
	public static void main(String[] args) {

		String S = String.valueOf(68);
		int [][] n = new int[3][3];
		MagicSquare m = new MagicSquare(n);
		System.out.print( m.isMagic());
	}
	public MagicSquare(int[][] mat)
	{
		_square = mat;
	}
	
	private int rowSum(int row)
	{
		int sum=0;
		for (int i=0; i<_square.length; i++)
			sum += _square[row][i];
		return sum;
	}

	private int colSum(int col)
	{
		int sum=0;
		for (int i=0; i<_square.length; i++)
			sum += _square[i][col];
		return sum;
	}
	
	private int mainDiagonalSum()
	{
		int sum=0;
		for (int i=0; i<_square.length; i++)
			sum += _square[i][i];
		return sum;
	}
	
	private int secondDiagonalSum()
	{
		int sum=0;
		for (int i=0; i<_square.length; i++)
			sum += _square[i][_square.length-1-i];
		return sum;
	}
	
	public boolean isMagic() {
		
		int sum = mainDiagonalSum();
		
		for (int i=0; i<_square.length; i++)
		{
			if (rowSum(i) != sum)
				return false;
			
			if (colSum(i) != sum)
				return false;
		}
		
		if (secondDiagonalSum() != sum)
			return false;
		return true;
	}
}

